/* eslint-disable camelcase */
import { FixBigNumber } from '@jarvisnetwork/core-sdk';

import { ContractListInterface } from '..';
import {
  jBRL_jCAD_BASE_INFO,
  jBRL_jCHF_BASE_INFO,
  jBRL_jEUR_BASE_INFO,
  jBRL_jGBP_BASE_INFO,
  jBRL_jGOLD_BASE_INFO,
  jBRL_jMXN_BASE_INFO,
  jBRL_jSGD_BASE_INFO,
  jBRL_USDC_BASE_INFO,
  jBRL_WBTC_BASE_INFO,
  jBRL_WETH_BASE_INFO,
  jBRL_WMATIC_BASE_INFO,
  jBRL_wstETH_BASE_INFO,
  jEUR_jBRL_BASE_INFO,
  jEUR_jCAD_BASE_INFO,
  jEUR_jCHF_BASE_INFO,
  jEUR_jGBP_BASE_INFO,
  jEUR_jGOLD_BASE_INFO,
  jEUR_jMXN_BASE_INFO,
  jEUR_jSGD_BASE_INFO,
  jEUR_USDC_BASE_INFO,
  jEUR_WBTC_BASE_INFO,
  jEUR_WETH_BASE_INFO,
  jEUR_WMATIC_BASE_INFO,
  jEUR_wstETH_BASE_INFO,
  jGOLD_USDC_BASE_INFO,
  jMXN_jBRL_BASE_INFO,
  jMXN_jCAD_BASE_INFO,
  jMXN_jCHF_BASE_INFO,
  jMXN_jEUR_BASE_INFO,
  jMXN_jGBP_BASE_INFO,
  jMXN_jGOLD_BASE_INFO,
  jMXN_jSGD_BASE_INFO,
  jMXN_USDC_BASE_INFO,
  jMXN_WBTC_BASE_INFO,
  jMXN_WETH_BASE_INFO,
  jMXN_WMATIC_BASE_INFO,
  jMXN_wstETH_BASE_INFO,
} from '../pairsInfo';

export const POLYGON_CREDIT_LINE: ContractListInterface = {
  CreditLineRegistry: '0x1eA5022a81bd0dF1Bb85085083cDDd1e6A4cf61C',
  CreditLine: {
    jEUR_USDC: {
      ...jEUR_USDC_BASE_INFO,
      address: '0x4154550f4Db74Dc38d1FE98e1F3F28ed6daD627d',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(10),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_WBTC: {
      ...jEUR_WBTC_BASE_INFO,
      address: '0xcc6BD078024BE9D391E6F47961B8078dEDd56F23',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(0.5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jBRL: {
      ...jEUR_jBRL_BASE_INFO,
      address: '0xfb95Ee2d0B7047A5DF1480e9BAE32b9960B8808f',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jCAD: {
      ...jEUR_jCAD_BASE_INFO,
      address: '0xaeD3E56DBe05785345FF8159852aa754c0E281BA',
      collateralRequirement: FixBigNumber.toWei(1.1),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.3),
    },
    jEUR_jCHF: {
      ...jEUR_jCHF_BASE_INFO,
      address: '0x6ffcdc20517b8DA83E7ABe6Fdd836759bEdcF9e6',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_jGOLD: {
      ...jEUR_jGOLD_BASE_INFO,
      address: '0x0725087494Aa23196e37724760416Dd41b481b7c',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jGBP: {
      ...jEUR_jGBP_BASE_INFO,
      address: '0xcdeaA3bB564954f4ed6a445E5a5Af11100B3fD5D',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_WMATIC: {
      ...jEUR_WMATIC_BASE_INFO,
      address: '0x422989ab4Ce1C10336A85207Df020a732Cc29956',
      collateralRequirement: FixBigNumber.toWei(1.5),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.1),
    },
    jEUR_jMXN: {
      ...jEUR_jMXN_BASE_INFO,
      address: '0xcDD27586394eE154749EBd69C590c0C864a9A067',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_jSGD: {
      ...jEUR_jSGD_BASE_INFO,
      address: '0xcb124c790c2A7F6E2c5E08E652b5323b4A2cd461',
      collateralRequirement: FixBigNumber.toWei(1.05),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(5),
      liquidationReward: FixBigNumber.toWei(0.5),
    },
    jEUR_WETH: {
      ...jEUR_WETH_BASE_INFO,
      address: '0xE63F878213Dbb7953328614aE69d06D734b40E51',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(10),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jEUR_wstETH: {
      ...jEUR_wstETH_BASE_INFO,
      address: '0x3b899F9A0F2A54a1Ca0C6aca96851f0414E97D6E',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(10),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jGOLD_USDC: {
      ...jGOLD_USDC_BASE_INFO,
      address: '0xcd16DDA43664315B88a7B1d6DDeA3Ae0AA068C23',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(0.005),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_USDC: {
      ...jBRL_USDC_BASE_INFO,
      address: '0x38f3066a3C487556f5be53919f7E75B6ef41E439',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WETH: {
      ...jBRL_WETH_BASE_INFO,
      address: '0x4a117a4343cbE4b0d4F06D21EA3429A1bD865F6b',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WBTC: {
      ...jBRL_WBTC_BASE_INFO,
      address: '0xE85FC097Cb53b0733B47D037EB4DbE5bDC37d085',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_wstETH: {
      ...jBRL_wstETH_BASE_INFO,
      address: '0x89eB60FAa4AF132904748161aAdA014eCb89B213',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_WMATIC: {
      ...jBRL_WMATIC_BASE_INFO,
      address: '0x005CC40b590030d4511E47FBe3F501E3aE02487B',
      collateralRequirement: FixBigNumber.toWei(1.5),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.12),
    },
    jBRL_jGOLD: {
      ...jBRL_jGOLD_BASE_INFO,
      address: '0x917FA4c6b9d086011dffAc4495Fb5c3B34fB1042',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jMXN: {
      ...jBRL_jMXN_BASE_INFO,
      address: '0x09Bc62655a9461dd74c8C5F7C13Fbc0cA198A7D6',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jEUR: {
      ...jBRL_jEUR_BASE_INFO,
      address: '0xB65a07D46eeDf1D2bdb299FB632f6A6232F594e2',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jCHF: {
      ...jBRL_jCHF_BASE_INFO,
      address: '0x271913629AbB8C85714454686590c7Af8EA5306F',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jGBP: {
      ...jBRL_jGBP_BASE_INFO,
      address: '0xbEcebC058fc73A702C4AD92A4333E6a0a85A6Bd3',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jSGD: {
      ...jBRL_jSGD_BASE_INFO,
      address: '0x5f29FE5586121bEC324642aF595669d78961202e',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jBRL_jCAD: {
      ...jBRL_jCAD_BASE_INFO,
      address: '0x9A25835cBb12C5641aC281Ddb686fb4F8ec2B963',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(25),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jBRL: {
      ...jMXN_jBRL_BASE_INFO,
      address: '0x12BdCE0441fA830376A45aB4f13cE738ba166aBf',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_WBTC: {
      ...jMXN_WBTC_BASE_INFO,
      address: '0x8ec0BFE71a8bB7a1E174c4c2cFFF6816d675Da58',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jCHF: {
      ...jMXN_jCHF_BASE_INFO,
      address: '0x7E97d28f3d918615F49F0c3a49d4f19b01A1323a',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_WETH: {
      ...jMXN_WETH_BASE_INFO,
      address: '0x7bdD9C75C798638915005629A0A735e357fBbd69',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_wstETH: {
      ...jMXN_wstETH_BASE_INFO,
      address: '0x3De43575880EE29F24A0F54061317632E6fF9c05',
      collateralRequirement: FixBigNumber.toWei(1.3),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jEUR: {
      ...jMXN_jEUR_BASE_INFO,
      address: '0xF098F3b10980F2Bd6Aba037ea402654adA91a6Ab',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jGOLD: {
      ...jMXN_jGOLD_BASE_INFO,
      address: '0x84647D0231c022eb2d9Ae41C244E7eB0672d0adb',
      collateralRequirement: FixBigNumber.toWei(1.25),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jGBP: {
      ...jMXN_jGBP_BASE_INFO,
      address: '0xeB6438b9f1Aa968F3673F6BaDad8A081731382d9',
      collateralRequirement: FixBigNumber.toWei(1.2),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_WMATIC: {
      ...jMXN_WMATIC_BASE_INFO,
      address: '0xCe5828119a45f87aD3af8bCbb5a6c581f4dB3BB6',
      collateralRequirement: FixBigNumber.toWei(1.5),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.12),
    },
    jMXN_jCAD: {
      ...jMXN_jCAD_BASE_INFO,
      address: '0xb63926f06744eA0b2C11514818a22ed958665543',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_jSGD: {
      ...jMXN_jSGD_BASE_INFO,
      address: '0x9850E1c87857716B57c11bFB47C2A5DFc4B9d902',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
    jMXN_USDC: {
      ...jMXN_USDC_BASE_INFO,
      address: '0x49bA729b3146Fbce18ce27acD800703B37a6906b',
      collateralRequirement: FixBigNumber.toWei(1.15),
      feePercentage: FixBigNumber.toWei(0.005),
      minSponsorTokens: FixBigNumber.toWei(50),
      liquidationReward: FixBigNumber.toWei(0.2),
    },
  },
};
